jQuery( document ).ready( function($) {
	"use strict";
	
	var hours = on_load.expires,
		popout_timeout = on_load.timeout,
		now = new Date().getTime(),
		set_delay = localStorage.getItem('set_delay'),
		post_link;
	
	if (set_delay == null) {
		if (localStorage.getItem('shown') !== 'true') {
			post_link = on_load.permalink;				
			popout(post_link, 1);
			localStorage.setItem('shown','true');
		}
		localStorage.setItem('set_delay', now);
		
	} else {
		if( (now - set_delay) > hours*60*60*1000 ) {
			localStorage.clear();
			
			if ( localStorage.getItem('shown') !== 'true' ) {
				post_link = on_load.permalink;					
				popout(post_link, popout_timeout);
				localStorage.setItem('shown','true');
			}
			localStorage.setItem('set_delay', now);
		}
	}
});