
	"use strict";

	function popout(post_link, pop_timeout) {
	// Remove the previously opened lightboxes
		if( $(".popout-holder").length > 0 )
			$('.popout-holder-overlay').detach();
		
		var top,
			holder_top,
			content_height;
			
	// Build the clone
		var popout_0 = '<div class="popout-clone-holder">';
			popout_0 += '<div class="popout-clone-wrapper"></div>';
			popout_0 += '</div>';
			
		$("body").prepend(popout_0);
		
	// Insert the post content
		$(".popout-clone-wrapper").load(post_link, function() {
			
			$(".popout-clone-wrapper").imagesLoaded(function(){
			// Calculate the clone's height
				content_height = $(".popout-clone-wrapper").height();
				
				if( window.innerHeight > content_height ) {
					holder_top = ( window.innerHeight/2 ) - ( content_height/2 );
					top = holder_top + 'px';
					content_height = content_height-1 + 'px';
					
				} else {
					top = ( window.innerWidth > 1023 )
					? '75px'
					: '6%';
					
					content_height = 'auto';
				}
				
			// Build the popout
				setTimeout(
					function(){
						var popout = '<div class="popout-holder-overlay">';
							popout += '<div class="popout-holder" style="margin-top:' + top + ';">';
							popout += '<span class="icon close"></span>';	
							popout += '<div class="popout-wrapper" style="height:' + content_height + ';"></div>';		
							popout += '</div>';		
							popout += '</div>';
						
						$(".popout-clone-holder").remove();
				
						$("html,body").addClass("popout-active");
						$("body").prepend(popout);
						
					// Insert the post content
						$(".popout-wrapper").html("content loading");
						$(".popout-wrapper").load(post_link, function() {
							/*
							setTimeout(
								function(){
									$("body").find('.popout-holder-overlay').addClass('reveal');
								},
								200
							);
							setTimeout(
								function(){
									$('.popout-holder').prepend('<svg><rect class="frame" width="1" height="1" stroke="#fff"></rect></svg>').addClass('reveal').find('.popout-wrapper').addClass('reveal');
									$('.popout-holder').find('.close').addClass('reveal');
								},
								200
							);
							*/							
							
							$("body").find('.popout-holder-overlay').addClass('reveal');
							
							$('.popout-holder').prepend('<svg><rect class="frame" width="1" height="1" stroke="#fff"></rect></svg>').addClass('reveal').find('.popout-wrapper').addClass('reveal');
							$('.popout-holder').find('.close').addClass('reveal');
							
							
						// Close the lightbox on close button
							$('.popout-holder').on('click', '.close', function (e) {
								remove_popout();
							});
					
						// Close the lightbox on esc
							$(document).keyup(function(e) {
								if (e.keyCode === 27) {
									remove_popout();
								}
							});
							
						// Close the lightbox by clicking outside of it
							$(document).on('click', function (e) {
								if ($(e.target).closest(".popout-holder").length === 0) {
									remove_popout();
								}
							});
						});
					},
					pop_timeout*1000
				);
			});
		});
	}

function remove_popout() {
	"use strict";
	
	$('.popout-wrapper').removeClass('reveal');
	$('.popout-holder').removeClass('reveal').find('.close').removeClass('reveal');
	$('.popout-holder').find('svg').fadeOut();
	
	$('.popout-holder-overlay').delay(800).queue(
		function() {		
			$(this).remove();
			$("html,body").removeClass("popout-active");					
		}
	);
}

jQuery( document ).ready( function($) {
	"use strict";
	
	var popoutlink = $('.menu-item-object-popout a'),
		infinite;
	
	popoutlink.on('click', function () {
		var postlink = $(this).attr("href");
		
		popout(postlink, 0);
		
		return false;
	});	
});