<?php
/* ==========================================================================
	Blog layout customizer
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
    $wp_customize->add_setting( 'daze_h_single_posts', array(
		'sanitize_callback' => 'daze_sanitize_custom_html'
	) );
	$wp_customize->add_control( new Daze_Customizer_Custom_HTML( $wp_customize, 'daze_h_single_posts', array(
		'section' => 'daze_single_posts',
		'description' => esc_html__( 'Force global settings on all single posts', 'daze' )
	)));
	
/*	Sidebar
   ========================================================================== */
	$wp_customize->add_setting( 'daze_include_sidebar_on_singles', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_include_sidebar_on_singles', array(
		'label'      		=> esc_html__( 'Include sidebar', 'daze' ),
		'section'    		=> 'daze_single_posts',
		'settings'   		=> 'daze_include_sidebar_on_singles',
		'type'       		=> 'checkbox'
	));
	
/* 	Author info
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_show_author_info', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_author_info', array(
		'label'      => esc_html__( 'Show author info under the post', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_show_author_info',
		'type'       => 'checkbox'
	));
	
/* 	Post category
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_show_category', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_category', array(
		'label'      => esc_html__( 'Show category', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_show_category',
		'type'       => 'checkbox'
	));
	
/* 	Post date
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_show_date', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_date', array(
		'label'      => esc_html__( 'Show date', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_show_date',
		'type'       => 'checkbox'
	));
	
/* 	Post author
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_show_author_name', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_author_name', array(
		'label'      => esc_html__( 'Show author name', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_show_author_name',
		'type'       => 'checkbox'
	));
	
/* 	Post comments
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_show_comments', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_show_comments', array(
		'label'      => esc_html__( 'Show comments', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_show_comments',
		'type'       => 'checkbox'
	));
	
/* 	Drop caps
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_drop_caps', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_drop_caps', array(
		'label'      => esc_html__( 'Drop caps', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_drop_caps',
		'type'       => 'checkbox'
	));
	
/* 	Enlarge galleries
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_enlarge_galleries', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_enlarge_galleries', array(
		'label'      => esc_html__( 'Enlarge galleries', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_enlarge_galleries',
		'type'       => 'checkbox'
	));
	
/* 	Enlarge embedded media
   ========================================================================== */   	
	$wp_customize->add_setting( 'daze_enlarge_media', array(
		'default'        	=> false,
		'capability'     	=> 'edit_theme_options',
		'type'           	=> 'theme_mod',
		'sanitize_callback' => 'daze_sanitize_checkbox',
	));	 
	$wp_customize->add_control( 'daze_enlarge_media', array(
		'label'      => esc_html__( 'Enlarge embedded media', 'daze' ),
		'section'    => 'daze_single_posts',
		'settings'   => 'daze_enlarge_media',
		'type'       => 'checkbox'
	));
?>