jQuery(document).ready(function($) {
	"use strict";
	
	$('.insta-car .carousel.in-sidebar').slick({
		lazyLoad: 'ondemand',
		slidesToShow: 3,
		slidesToScroll: 3,
		infinite: true,
		dots: false,
		arrows: false,
		mobileFirst: true,
		responsive: [{
			breakpoint: 400,
			settings: {
				slidesToShow: 4,
				slidesToScroll: 4
			}			
		},
		{	
			breakpoint: 768,
			settings: {
				slidesToShow: 6,
				slidesToScroll: 6
			}	
		},
		{	
			breakpoint: 1279,
			settings: {
				slidesToShow: 3,
				slidesToScroll: 3
			}	
		}
		]
	});
	
	$('.insta-car .carousel.in-footer').slick({
		lazyLoad: 'ondemand',
		slidesToShow: 3,
		slidesToScroll: 3,
		infinite: true,
		dots: false,
		arrows: false,
		mobileFirst: true,
		responsive: [{
			breakpoint: 600,
			settings: {
				slidesToShow: 4,
				slidesToScroll: 4
			}			
		},
		{	
			breakpoint: 1024,
			settings: {
				slidesToShow: 6,
				slidesToScroll: 6
			}	
		}]
	});
});