<?php
/* ==========================================================================
	Footer template, displaying the Instagram carousel and all the content bellow
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
?>
	</div><!-- .central-wrapper -->	
	
	<div id="site-footer">	
		<?php if ( is_active_sidebar( 'sidebar-2' )  ) : ?>
			<?php dynamic_sidebar( 'sidebar-2' ); ?>
		<?php endif; ?>
		
		<?php
		$social_in_footer = get_theme_mod( 'daze_social_in_footer' );
		$copyright = get_theme_mod( 'daze_copyright' );
			
		if( $social_in_footer ) :
		?>
		<div class="social"><div class="content-wrapper">
			<?php echo daze_get_social_profiles(false, true); ?>
		</div></div>
		<?php
		endif;
		
		if( $social_in_footer && $copyright ) {
			echo '<div class="h-line"></div>';
		}
		
		if( $copyright ) : ?>
		<div class="copyright"><div class="content-wrapper">
			<?php echo esc_html( $copyright ); ?>
		</div></div>
		<?php endif; ?>
	</div><!-- #site-footer -->
	
	<div id="to-top" class="va-middle"></div>
	
<?php wp_footer(); ?>
</body>
</html>