<?php
/* ==========================================================================
	Single post template
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	get_header();
	
	while ( have_posts() ) :
		the_post();
		
		daze_set_post_views( get_the_ID() );
	?>
		<div class="main-holder content-wrapper clearfix">
			<?php get_template_part('template-parts/fullheader'); ?>
			
			<?php get_template_part('template-parts/featuredarea'); ?>
			
			<main id="main" <?php daze_main_class(); ?> ><?php
				get_template_part( 'template-parts/content', 'single' );
			?>
				
				<div class="posts-nav clearfix">
				<?php
					if( get_previous_post_link('%link','',false,'') ) {
						
						is_rtl()
						? previous_post_link(
							'<div class="prev">%link</div>',
							esc_html__( 'Previous', 'daze') . '<span class="arrow right"></span>',
							false,
							''
						)
						: previous_post_link(
							'<div class="prev">%link</div>',
							'<span class="arrow left"></span>' . esc_html__( 'Previous', 'daze'),
							false,
							''
						);
						
					} else {
						is_rtl()
						? printf( '<div class="prev inactive">%s<span class="arrow right"></span></div>', esc_html__( 'Previous', 'daze') )
						: printf( '<div class="prev inactive"><span class="arrow left"></span>%s</div>', esc_html__( 'Previous', 'daze') );
					}
					
					if( get_next_post_link('%link','',false,'') ) {
						is_rtl()
						? next_post_link(
							'<div class="next">%link</div>',
							'<span class="arrow left"></span>' . esc_html__( 'Next', 'daze'),
							false,
							''
						)
						: next_post_link(
							'<div class="next">%link </div>',
							esc_html__( 'Next', 'daze') . '<span class="arrow right"></span>',
							false,
							''
						);
						
					} else {
						is_rtl()
						? printf( '<div class="next inactive"><span class="arrow left"></span>%s</div>', esc_html__( 'Next', 'daze') )
						: printf( '<div class="next inactive">%s<span class="arrow right"></span></div>', esc_html__( 'Next', 'daze') );
					}
											
					if( get_theme_mod( 'daze_show_share_buttons', 1 ) ) {
						echo daze_share_buttons();
					}
				?>
				</div><!-- .posts-nav -->
				
				<?php				 
				if ( get_theme_mod( 'daze_show_author_info', 1 ) && ( '' !== get_the_author_meta( 'description' ) ) ) {
					get_template_part( 'template-parts/author' );
				}

				if ( comments_open() ) {
					comments_template();
				}
				
				if( get_theme_mod( 'daze_allow_fb_comments', 1 ) && comments_open() ) {
					echo '<div class="fb-comments" data-href="' . esc_url( get_permalink() ) . '" data-numposts="5"></div>';
				}
				
		?></main><!-- #main -->
		
		<?php
			if( get_theme_mod('daze_include_sidebar_on_singles') || daze_get_meta( 'daze_include_sidebar' ) ) {
				get_sidebar();
			}
		?>
	</div>		
<?php
	endwhile;
	get_footer();
?>