<?php
/* ==========================================================================
	404 page template
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
get_header(); ?>

	<div class="main-holder content-wrapper clearfix">
		<div class="post-header">			
			<h6><?php echo esc_html( get_theme_mod( 'daze_page_404_desc', esc_html__( '404 error', 'daze' ) ) ); ?></h6>		
			
			<h1><?php echo esc_html( get_theme_mod( 'daze_page_404_heading', esc_html__( 'Oops! This page is not here anymore...', 'daze' ) ) ); ?></h1>
			
			<?php if( get_theme_mod( 'daze_page_404_text' ) ) { ?>
			<div class="post-meta"><?php echo esc_html( get_theme_mod( 'daze_page_404_text' ) ); ?></div>
			<?php } ?>
		</div>
		
		<main id="main" role="main">
			<a class="button-link" href="<?php echo esc_url( home_url( '/' ) ); ?>"><?php esc_html_e( 'Back to home', 'daze' ); ?></a>
		</main>	
	</div>
	
<?php get_footer(); ?>