(function($) {
	"use strict";
	
	$(".gallery-slider").slick({
		autoplay: false,
		lazyLoad: 'ondemand',
		dots: true,
		dotsClass: 'slick-dots clearfix',
		arrows: true,
		prevArrow: '<span class="slick-prev arrow left"></span>',
		nextArrow: '<span class="slick-next arrow right"></span>',
		customPaging : function(slider, i) {
			var thumb = $(slider.$slides[i]).data('thumb'); 
			return '<a><img src="'+thumb+'"></a>';
		}
	});	
})(jQuery);