<?php
/* ==========================================================================
	Single page template
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
	get_header();
?>
	<div class="main-holder content-wrapper clearfix">
		<div class="post-header">
		<?php
			the_title( '<h1>', '</h1>' );
			
		// Edit
			edit_post_link(
				esc_html__( 'Edit this page', 'daze' ),
				'<div class="clearfix"></div><span class="edit-link button-link">',
				'</span>'
			);
		?>
		</div>		
		
		<div class="featured-area">
		<?php if( has_post_thumbnail() ) : ?>
			<div class="featured-img"><?php echo get_the_post_thumbnail(); ?></div>
		<?php else : ?>
			<div class="h-line"></div>
		<?php endif; ?>
		</div><!-- .featured-area -->
		
		<main id="main" <?php daze_main_class(); ?> >
		<?php		
		while ( have_posts() ) :
			the_post();

			get_template_part( 'template-parts/content', 'page' );

			if ( comments_open() ) {
				comments_template();
			}
			
			if( get_theme_mod( 'daze_allow_fb_comments', 1 ) && comments_open() ) :
			?>
			<div class="fb-comments" data-href="<?php echo esc_url( get_permalink() ); ?>" data-numposts="5"></div>
			<?php
			endif;
		endwhile;
		?>				
		</main><!-- #main -->
		
		<?php
			if( daze_get_meta( 'daze_include_sidebar' ) ) {
				get_sidebar();
			}
		?>
	</div><!-- .main-holder -->		
<?php get_footer(); ?>