<?php 
/* ==========================================================================
	Single post content, template part displayed on single post page
	Daze - Premium WordPress Theme, by NordWood
========================================================================== */
?>				
<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-content shareable-selections clearfix">	
		<?php the_content(); ?>
						
		<div class="clearfix"></div>
		<?php
			wp_link_pages( array(
				'before'      => '<div class="page-links"><h6>' . esc_html__( 'Pages:', 'daze' ) . '</h6>',
				'after'       => '</div>',
				'link_before' => '<span class="screen-reader-text page-num">',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="screen-reader-text">%</span>',
				'separator'   => '<span class="separator"></span>',
			) );
		?>
	</div><!-- .post-content -->
	
	<footer class="post-footer">
		<?php
		$posttags = wp_get_post_tags($post->ID);
		
		if ( $posttags ) {
			echo '<div class="tagcloud">';
			
			foreach( $posttags as $tag ) {
				$tag_link = get_tag_link( $tag->term_id );
			?>
				<a href="<?php echo esc_url( $tag_link ); ?>" class="tag">
					<span class="tag-name"><?php echo esc_html( $tag->name ); ?></span>
					<span class="separator"></span>
					<span class="count"><?php echo absint( $tag->count ); ?></span>
				</a>
			<?php
			}
			
			echo '</div>';
		}
		?><!-- .tagcloud -->
	</footer><!-- .post-footer -->
</article>